Bug 989793 - check-mk-agent has wrong hardcoded config/lib directories
check-mk-agent has wrong hardcoded config/lib directories
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: check-mk (Show other bugs)
el6
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Andrea Veri
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 20:35 EDT by Brainslug
Modified: 2013-09-16 13:43 EDT (History)
1 user (show)

See Also:
Fixed In Version: check-mk-1.2.2p2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 20:00:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brainslug 2013-07-29 20:35:57 EDT
Description of problem:

/usr/bin/check-mk-agent uses wrong $MK_LIBDIR and $MK_CONFDIR definitions. This keeps the agent from finding the plugins in /usr/share/check-mk-agent/plugins and none of the config files in /etc/check-mk-agent are parsed.

Version-Release number of selected component (if applicable):

check-mk-agent-1.2.2-3.el6.x86_64

Additional info:

This patch seems to fix the problems:

--- /usr/bin/check_mk_agent     2013-04-27 14:30:45.000000000 +0000
+++ /tmp/check_mk_agent 2013-07-30 00:14:53.512028116 +0000
@@ -27,8 +27,8 @@
 export LC_ALL=C
 unset LANG
 
-export MK_LIBDIR="/usr/lib/check_mk_agent"
-export MK_CONFDIR="/etc/check_mk"
+export MK_LIBDIR="/usr/share/check-mk-agent"
+export MK_CONFDIR="/etc/check-mk-agent"
 
 # Make sure, locally installed binaries are found
 PATH=$PATH:/usr/local/bin
Comment 1 Andrea Veri 2013-08-29 12:44:23 EDT
Hi,

the fix has been pushed to git and the package is being built in the couple of days.

More details at http://pkgs.fedoraproject.org/cgit/check-mk.git/commit/?id=ebd4864a819e37b58a0a2a9145e5ff611c3373aa.
Comment 2 Fedora Update System 2013-08-31 07:32:40 EDT
check-mk-1.2.2p2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/check-mk-1.2.2p2-1.fc19
Comment 3 Fedora Update System 2013-08-31 07:33:07 EDT
check-mk-1.2.2p2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/check-mk-1.2.2p2-1.el6
Comment 4 Fedora Update System 2013-08-31 15:18:51 EDT
Package check-mk-1.2.2p2-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing check-mk-1.2.2p2-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11394/check-mk-1.2.2p2-1.el6
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-09 20:00:10 EDT
check-mk-1.2.2p2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-09-16 13:43:50 EDT
check-mk-1.2.2p2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.